{% extends "base.html" %}

{% block content %}
<main role="main" class="col-sm-9 ml-sm-auto col-md-10 pt-3">
    <br>
    <h2>Network Service Order<br><small class="text-muted">(TMF ServiceOrder)</small></h2>
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
            <tr>
                <th>OrderDate</th>
                <th>ExternalID</th>
                <th>Description</th>
                <th>OrderState</th>
                <th>action</th>
                <th>ServiceState</th>
                <th>OrderId</th>
                <th>Message</th>
                <th>Refresh <br> Display</th>
                <th>Show <br> Service <br> Instance</th>
            </tr>
            </thead>
            <tbody>
            <tr>
              <td>
                  <class="service_order" type="text" id="orderDate" name="orderDate"
                  value="{{service_order['orderDate']}}">{{service_order['orderDate']}}
              </td>
              <td>
                  <class="service_order" type="text" id="externalId" name="externalId"
                  value="{{service_order['externalId']}}">{{service_order['externalId']}}
              </td>
              <td>
                  <class="service_order" type="text" id="description" name="description"
                  value="{{service_order['description']}}">{{service_order['description']}}
              </td>
              <td>
                  <class="service_order" type="text" id="state" name="state"
                  value="{{service_order['state']}}">{{service_order['state']}}
              </td>
              <td>
                  <class="service_order" type="text" id="action" name="action"
                  value="{{service_order['orderItem'][0]['action']}}">{{service_order['orderItem'][0]['action']}}
              </td>
              <td>
                  <class="service_order" type="text" id="serviceState" name="serviceState"
                  value="{{service_order['orderItem'][0]['service']['serviceState']}}">{{service_order['orderItem'][0]['service']['serviceState']}}
              </td>
              <td>
                  <class="service" type="text" id="id" name="id"
                  value="{{service_order['id']}}">{{service_order['id']}}
              </td>
              {% if service_order['orderItem'][0]['orderItemMessage'] %}
                <td>
                    <class="service" type="text" id="message" name="message"
                    value="{{service_order['orderItem'][0]['orderItemMessage'][0]['messageInformation']}}">{{service_order['orderItem'][0]['orderItemMessage'][0]['messageInformation']}}
                  </td>
              {% else %}
              <td>
                  <class="service" type="text" id="message" name="message"
                  value="">""
                </td>
              {% endif %}
              <td>
                <a href="../service_nbi_order_add_result?service_order_id={{service_order['id']}}" class="btn btn-primary btn-sm">refresh</a>
              </td>
              <td>
                <a href="../services_nbi_inventory_detail?service_order_id={{service_order['id']}}" class="btn btn-primary btn-sm">show</a>
              </td>
            </tr>
            </tbody>
        </table>
    </div>
</main>
{% endblock %}
